classification
Title: Supressing warnings with -w "whether gcc supports ParseTuple"
Type: compile error Stage: resolved
Components: Build Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, samueljohn, serhiy.storchaka
Priority: normal Keywords:

Created on 2012-06-21 17:02 by samueljohn, last changed 2018-07-23 20:01 by serhiy.storchaka. This issue is now closed.

Messages (3)
msg163349 - (view) Author: Samuel John (samueljohn) Date: 2012-06-21 17:02
In configrue.in, Python checks if the compiler supports __attribute__((format(PyArg_ParseTuple, 2, 3))) and sets the CFLAGS to "CFLAGS -Werror" to decide this test.

When you build Python with "CFLAGS=-w" (homebrew's default), configure reports 

    whether gcc supports ParseTuple ... yes

which is not supported for clang (I was told).

I know it's hard to remove a certain flag from the CFLAGS, but perhaps there should be better documentation about this issue.
msg222689 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-10 19:14
@Samuel sorry about the delay in getting back to you :(

Can we have a comment on this please.
msg322250 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-23 20:01
This code was removed in f6b687fcd4d62e53443e23376dc02c177fecc0d4.
History
Date User Action Args
2018-07-23 20:01:04serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg322250

resolution: out of date
stage: resolved
2014-07-10 19:14:23BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222689
2012-06-21 17:02:57samueljohncreate